#
# spec file for package nvmetcli
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nvmetcli
Version:        0.4
Release:        5.1
Summary:        Command line interface for the kernel NVMe nvmet
License:        Apache-2.0
Group:          System/Management
Url:            http://git.infradead.org/users/hch/nvmetcli.git
Source:         nvmetcli-v%{version}.tar.gz
Patch1:         0001-nvmetcli-add-support-for-NS-UUIDs.patch
Patch2:         0002-nvmetcli-remove-status-method-for-the-uiportnode.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-configshell-fb
Requires:       python-kmod
Requires(post): systemd
Requires(postun): systemd
Requires(preun): systemd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the command line interface to the NVMe over
Fabrics target in the Linux kernel. It allows configuring the NVMe
target interactively as well as saving / restoring the configuration
to / from a json file.

%prep
%setup -q -n nvmetcli-v%{version}
%patch1 -p1
%patch2 -p1

%build
python setup.py build

%install
python setup.py install --skip-build --root=%{buildroot} --prefix=usr
mkdir -p %{buildroot}%{_sysconfdir}/nvmet
mkdir -p %{buildroot}%{_prefix}/sbin
install -m 755 nvmetcli %{buildroot}%{_sbindir}/nvmetcli
mkdir -p %{buildroot}%{_prefix}/usr/sbin
ln -s /usr/sbin/service %{buildroot}/usr/sbin/rcnvmet
mkdir -p %{buildroot}%{_unitdir}
install -m 644 nvmet.service %{buildroot}%{_unitdir}/nvmet.service

%post
%service_add_post nvmet.service

%pre
%service_add_pre nvmet.service

%preun
%service_del_preun nvmet.service

%postun
%service_del_postun nvmet.service

%files
%defattr(-,root,root,-)
%{python_sitelib}
%dir %{_sysconfdir}/nvmet
%{_sbindir}/nvmetcli
/usr/sbin/rcnvmet
%{_unitdir}/nvmet.service
%doc COPYING README

%changelog
* Thu Nov 30 2017 jthumshirn@suse.com
- Don't display bogus 'disabled' status for ports (bsc#1070533)
  0002-nvmetcli-remove-status-method-for-the-uiportnode.patch
* Fri Jun 16 2017 jthumshirn@suse.com
- Add possibiliy to configure Namespace UUIDs (bsc#1038235)
  + 0001-nvmetcli-add-support-for-NS-UUIDs.patch
* Tue May 23 2017 jthumshirn@suse.com
- Change dependency from python-configshell to python-configshell-fb (bsc#1040212)
* Mon May  8 2017 jthumshirn@suse.com
- Update to version v0.4: (bsc#1034105)
  * add example configuration files
  * update .gitignore for the auto-generated manpage formats
  * add a bump-ver.sh script to automate cutting releases
  * bump version to v0.3
  * nvmetcli: fix Port and Host operations in shell
  * nvmetcli: fix Referral operation in shell
  * nvmetcli: Install nvmetcli in /usr/sbin with setup.py
  * nvmetcli: create json file's dir first if it doesn't exist
  * Add fc transport support to nvmetcli
  * bump version to v0.4
* Sat Feb 11 2017 jengelh@inai.de
- expand nvmet
* Wed Oct 12 2016 jthumshirn@suse.com
- Initial import for SUSE (FATE#321732)
